Package ru.bitel.bgbilling.kernel.script.server.bean

# Class ScriptLibraryManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ScriptLibrary>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ScriptLibrary>
ru.bitel.bgbilling.kernel.script.server.bean.ScriptLibraryManager

public class ScriptLibraryManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ScriptLibrary>
! Устаревшее, готовится к выпиливанию когда-нибудь. В клиенте уже не управляется. Менеджер библиотеки скриптов.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptLibraryManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `backup(int scriptId, String comment)`
  Сохраняем резервную копию библиотеки.
  `void`
  `deleteFull(int scriptId)`
  Удаляет скрипт и все его бэкапы.
  `ScriptLibrary`
  `getByName(String name)`
  `protected ScriptLibrary`
  `getFromRS(ResultSet rs)`
  `protected ScriptLibrary`
  `getPureFromRS(ResultSet rs)`
  `Revision`
  `getRevisionProperties(int id)`
  Возвращает параметры ревизии библиотеки.
  `List<ScriptLibrary>`
  `list()`
  `List<ScriptLibrary>`
  `pureList()`
  Возвращает лист скриптов без текста (для экономии).
  `protected void`
  `updateImpl(ScriptLibrary scriptLibrary)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptLibraryManager

    public ScriptLibraryManager(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(ScriptLibrary scriptLibrary) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ScriptLibrary>`
    Throws:
      `SQLException`

  - ### getByName

    public ScriptLibrary getByName(String name) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ScriptLibrary> list() throws SQLException
    Overrides:
      `list` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ScriptLibrary>`
    Throws:
      `SQLException`

  - ### pureList

    public List<ScriptLibrary> pureList() throws SQLException
    Возвращает лист скриптов без текста (для экономии).
    Returns:
      лист скриптов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected ScriptLibrary getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ScriptLibrary>`
    Throws:
      `SQLException`

  - ### getPureFromRS

    protected ScriptLibrary getPureFromRS(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### getRevisionProperties

    public Revision getRevisionProperties(int id) throws SQLException
    Возвращает параметры ревизии библиотеки.
    Parameters:
      `id` - код библиотеки
    Returns:
      параметры ревизии.
    Throws:
      `SQLException`

  - ### backup

    public void backup(int scriptId, String comment) throws Exception
    Сохраняем резервную копию библиотеки. Копируем данные из базы.
    Parameters:
      `scriptId` - код библиотеки.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### deleteFull

    public void deleteFull(int scriptId) throws Exception
    Удаляет скрипт и все его бэкапы.
    Parameters:
      `scriptId` - код скрипта.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`